CourseLit logoCourseLit Docs
Api reference

Create a product payment plan

POST
/api/products/{productId}/payment-plans

Authorization

ApiKeyAuth
x-api-key<token>

API key created in CourseLit dashboard settings. The legacy apikey request-body field is still accepted but deprecated.

In: header

Path Parameters

productId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://school.courselit.app/api/products/string/payment-plans" \  -H "Content-Type: application/json" \  -d '{    "name": "Lifetime access",    "type": "onetime",    "oneTimeAmount": 9900,    "description": "One-time payment for lifetime product access."  }'
{
  "planId": "string",
  "name": "string",
  "type": "free",
  "entityId": "string",
  "entityType": "string",
  "oneTimeAmount": 0,
  "emiAmount": 0,
  "emiTotalInstallments": 0,
  "subscriptionMonthlyAmount": 0,
  "subscriptionYearlyAmount": 0,
  "description": "string",
  "isDefault": true
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}